<script type="text/javascript">

jQuery(document).ready(function($){
	 $('.edit_anchor').click(function(){
		//populate the dialog
		var con = $('#modositas_form');
		
		$('#tema_id', con).val($(this).attr('tema_id'));
		$('#cim', con).val($(this).attr('cim'));
		$('#menu_cim', con).val($(this).attr('menu_cim'));
		$('#sorsz', con).val($(this).attr('sorsz'));
		$('#page', con).val($(this).attr('page'));
		
		if($(this).attr('pdf')!=""){
			var pdftext = "<br /><a href='/public/downloads/hun/archlineklub/"+$(this).attr('pdf')+"' target='_blank'><u>"
			pdftext += $(this).attr('pdf')+"</u></a>";
			
			$('#mostanipdf').html(pdftext);
		}else{
			$('#mostanipdf').html("");
		}
		
		
		if($(this).attr('aktiv') === '1'){
			$('#aktiv', con).attr('checked', 'checked');
		} else {
			$('#aktiv', con).attr('checked', '');
		}
		
		$('.trlink', con).css('display','none');
		
		//open the dialog
		$('#edit_dialog').dialog('open');
		
		return false;
	});
	
	$('#edit_dialog').dialog({
		autoOpen: false,
		modal: true,
		width: 800,
		buttons: {
			'Módosít/Létrehoz': function(){
				var con = $('#modositas_form');
				if( $('#tema_id', con).val()=="new" && $('#url', con).val()=="" ){
					alert("Új téma esetén a link megadása kötelező!");
				}
				else{
					$('#modositas_form').submit();
					$('#edit_dialog').dialog('close');
				}
			},
			'Mégsem': function(){
				$('#edit_dialog').dialog('close');
			}
		}
	});
	
	
	
	$('.new_anchor').click(function(){
		//populate the dialog
		var con = $('#modositas_form');
		
		$('#tema_id', con).val('new');
		$('#cim', con).val('');
		$('#menu_cim', con).val('');
		$('#sorsz', con).val('<?=$kovsorszam?>');
		$('#page', con).val('');
		$('#mostanipdf', con).html('');
		
        $('#aktiv', con).attr('checked', '');
		
		
		$('.trlink', con).css('display','');
        
        //open the dialog
        $('#edit_dialog').dialog('open');
        
        return false;
    });
	
});

</script>

<a href="#" class="new_anchor">Új téma</a>
<table>
<?foreach($temak as $tema):?>
	<tr>
	<td>Törlés</td>
	<td><a href="/archline-klub/<?=$tema->url?>" target="_blank">Megtekint</a></td>
	<td><a href="#" class="edit_anchor" tema_id="<?=$tema->tema_id?>" cim="<?=$tema->cim?>" menu_cim="<?=$tema->menu_cim?>" page="<?=$tema->page?>" aktiv="<?=$tema->aktiv?>" sorsz="<?=$tema->sorsz?>" pdf="<?=$tema->pdf?>"><?=$tema->cim?></a></td>
	</tr>
<?endforeach;?>
</table>




<div id="edit_dialog" style="display: none;" title="Téma létrehozása / módosítása">
	<?=form_open('admin/alklubtemak', array('id' => 'modositas_form', 'enctype'=>'multipart/form-data'))?>
	<?=form_hidden('do', 'modositas')?>
	<input type="hidden" name="tema_id" id="tema_id" value="" />
	<table cellspacing="0" cellpadding="10" border="0" align="left">
		<tr>
			<td align="left">Cím<br />(részletek oldalon):</td>
			<td align="left"><input type="text" name="cim" id="cim" style="width: 350px;" /></td>
		</tr>
		<tr>
			<td align="left">Cím<br />(klub főoldal, oldalmenübe):</td>
			<td align="left"><input type="text" name="menu_cim" id="menu_cim" style="width: 220px;" /></td>
		</tr>
		<tr>
			<td align="left">Leírás (lapok - eseményekből):</td>
			<td>
				<select name="page" id="page">
					<option value=""></option>
					<?foreach($esemlapok as $lap):?>
					<option value="<?=$lap->page_id?>"><?=$lap->page_title?></option>
					<?endforeach;?>
				</select>
			</td>
		</tr>
		<tr>
			<td align="left">Sorszám<br />(klub főoldal, oldalmenühöz):</td>
			<td align="left"><input type="text" name="sorsz" id="sorsz" style="width: 30px;" /></td>
		</tr>
		<tr>
			<td align="left">Aktív:</td>
			<td align="left"><input type="checkbox" name="aktiv" id="aktiv" /></td>
		</tr>
		<tr>
			<td align="left">Új .pdf fájl: <span id="mostanipdf"></span></td>
			<td align="left"><input type="file" name="pdf" id="pdf" /></td>
		</tr>
		<tr class="trlink">
			<td align="left">
				Link vége<br />(pl. burkolattervezes):<br />Egy azonosító csak egyszer használható.<br />
				<span style="color: #b00;">Utólag nem módosítható!</span></em>
			</td>
			<td align="left"><input type="text" name="url" id="url" style="width: 220px;" /></td>
		</tr>
	</table>
	<?=form_close()?>
</div>